Bitcoin Well, Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/bitcoin-well-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitcoin-well-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1759708800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://bitcoinwell.com/press-releases/bitcoin-well-adds-to-bitcoin-treasury-oct-06-2025",
    "holding_balance": 54.62,
    "holding_net_change": 12.26,
    "transaction_value_usd": 1502732.72,
    "average_entry_value_usd": 122572.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1760400000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://bitcoinwell.com/press-releases/bitcoin-well-adds-to-bitcoin-treasury-oct-14-2025",
    "holding_balance": 67.74,
    "holding_net_change": 13.12,
    "transaction_value_usd": 1495430.72,
    "average_entry_value_usd": 113981.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1760659200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://bitcoinwell.com/press-releases/bitcoin-well-adds-to-bitcoin-treasury-oct-17-2025",
    "holding_balance": 68.986,
    "holding_net_change": 1.25,
    "transaction_value_usd": 138192.61,
    "average_entry_value_usd": 110909.0,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitcoin-well-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790812800000,
    68.986
  ],
  [
    1790899200000,
    68.986
  ],
  [
    1790985600000,
    68.986
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/bitcoin-well-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790812800000,
    5763584.379760001
  ],
  [
    1790899200000,
    5848828.310380001
  ],
  [
    1790985600000,
    5829082.447600001
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/bitcoin-well-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.0263,
    "date": "2026-09-30",
    "high": 0.0263,
    "open": 0.0263,
    "close": 0.0263,
    "volume": 0
  },
  {
    "low": 0.0296,
    "date": "2026-10-01",
    "high": 0.0296,
    "open": 0.0296,
    "close": 0.0296,
    "volume": 4393
  },
  {
    "low": 0.022,
    "date": "2026-10-02",
    "high": 0.022,
    "open": 0.022,
    "close": 0.022,
    "volume": 428
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/bitcoin-well-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": -0.353,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitcoin-well-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -11.29,
  "six_month_return": -56.86,
  "three_month_return": -11.65
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitcoin-well-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 53.5,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}